package com.jkcredit.invoice.service.customer;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.CustomerRec;

import java.util.List;

public interface CustomerRecService {
    /**
     * 查找所有备案信息
     * @param page
     * @param customerRec
     * @return
     */
    IPage findAllCustomerRec(Page page, CustomerRec customerRec);

    List<CustomerRec> findAllCustomerRecForExport(CustomerRec customerRec);

    CustomerRec selectByCustomerNameAndCompanyReference(CustomerRec record);

    CustomerRec selectByCustomerNameAndCompanyNum(CustomerRec customerRec);

    CustomerRec selectByCustomerNameAndCompanyConcat(CustomerRec customerRec);
}
